org.richfaces.resource

## Class Java2DAnimatedUserResourceWrapperImpl

- java.lang.Object
- - javax.faces.application.ViewResource
  - - javax.faces.application.Resource
    - - org.richfaces.resource.AbstractBaseResource
      - - org.richfaces.resource.AbstractCacheableResource
        - - org.richfaces.resource.BaseResourceWrapper<Java2DUserResource>
          - - org.richfaces.resource.Java2DUserResourceWrapperImpl
            - - org.richfaces.resource.Java2DAnimatedUserResourceWrapperImpl

- All Implemented Interfaces:
    javax.faces.component.StateHolder, javax.faces.FacesWrapper<Java2DUserResource>, CacheableResource, VersionedResource

      public class Java2DAnimatedUserResourceWrapperImpl
      extends Java2DUserResourceWrapperImpl

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.resource.AbstractBaseResource

      `URL_PROTOCOL`

    - ### Fields inherited from class javax.faces.application.Resource

      `COMPONENT_RESOURCE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java2DAnimatedUserResourceWrapperImpl(Java2DAnimatedUserResource resourceObject, boolean cacheable, boolean versioned)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRequestPath()`
    `protected void` | `paintAndWrite(ImageOutputStream outputStream)`

    - ### Methods inherited from class org.richfaces.resource.Java2DUserResourceWrapperImpl

      `createGraphics, decodeColor, getColorValueParameter, getContentType, getHeight, getInputStream, getLastModified, getValueParameter, getWrappedResourceResponseHeaders, write`

    - ### Methods inherited from class org.richfaces.resource.BaseResourceWrapper

      `getEntityTag, getExpires, getResponseHeaders, getTimeToLive, getVersion, getWrapped, isCacheable, isTransient, restoreState, saveState, setTransient`

    - ### Methods inherited from class org.richfaces.resource.AbstractCacheableResource

      `addCacheControlResponseHeaders, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

    - ### Methods inherited from class org.richfaces.resource.AbstractBaseResource

      `addNoCacheResponseHeaders, getClassLoader, getContentLength, getURL`

    - ### Methods inherited from class javax.faces.application.Resource

      `getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Java2DAnimatedUserResourceWrapperImpl

          public Java2DAnimatedUserResourceWrapperImpl(Java2DAnimatedUserResource resourceObject,
                                               boolean cacheable,
                                               boolean versioned)

  - ### Method Detail

    - #### getRequestPath

          public String getRequestPath()

      Overrides:
        `getRequestPath` in class `AbstractBaseResource`

    - #### paintAndWrite

          protected void paintAndWrite(ImageOutputStream outputStream)
                                throws IOException

      Overrides:
        `paintAndWrite` in class `Java2DUserResourceWrapperImpl`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.